summaryrefslogtreecommitdiff
path: root/pkg/osx/installer/post-inst.sh
diff options
context:
space:
mode:
authorKali Kaneko <kali@leap.se>2017-06-20 03:18:54 -0700
committerKali Kaneko (leap communications) <kali@leap.se>2017-06-21 02:56:10 +0200
commitc82f23ccaf077dce350292c7f3b2948d61122bbe (patch)
treef28e03a6c9fd3790782b4941cf8ffe38f3c1b834 /pkg/osx/installer/post-inst.sh
parent51011053093c87ca7ff2e024734578a5dce0dbfa (diff)
[pkg] improve Packages script
- use relative paths - there's still an absolute path (hardcoded, the REFERENCE FOLDER PATH). This should be changed (sed!) if we want to automate this for CI or for building in different environments: STILL NEEDS SOME MANUAL WORK. - Avoid deleting the build folders by default - Move the plist file to a subfolder
Diffstat (limited to 'pkg/osx/installer/post-inst.sh')
-rwxr-xr-xpkg/osx/installer/post-inst.sh5
1 files changed, 1 insertions, 4 deletions
diff --git a/pkg/osx/installer/post-inst.sh b/pkg/osx/installer/post-inst.sh
index f88ea97a..0202323a 100755
--- a/pkg/osx/installer/post-inst.sh
+++ b/pkg/osx/installer/post-inst.sh
@@ -1,7 +1,4 @@
#!/bin/sh
# Bitmask Post-Instalation script
-
cp se.leap.bitmask-helper.plist /Library/LaunchDaemons/
-launchctl load /Library/LaunchDaemons/se.leap.bitmask-helper.plist
-cp tuntap_20150118.pkg /tmp/
-open /tmp/tuntap_20150118.pkg
+launchctl load /Library/LaunchDaemons/se.leap.bitmask-helper.plist || echo "Already loaded, skipping..."